# Recipes

These recipes will show you the best practices of using Cube.js.

### Analytics

- [Daily, Weekly, Monthly Active Users](https://cube.dev/docs/recipes/active-users)
- [Event Analytics](https://cube.dev/docs/recipes/event-analytics)
- [Funnel Analysis](https://cube.dev/docs/recipes/funnels)
- [Retention Analysis](https://cube.dev/docs/recipes/cohort-retention)

### Access control

- [Role-Based Access](https://cube.dev/docs/recipes/role-based-access)
- [Column-Based Access](https://cube.dev/docs/recipes/column-based-access)
- [Using Different Schemas for Tenants](https://cube.dev/docs/recipes/using-different-schemas-for-tenants)

### Data sources

- [Enable SSL Connections to the Database](https://cube.dev/docs/recipes/enable-ssl-connections-to-database)
- [Using Multiple Data Sources](https://cube.dev/docs/recipes/multiple-sources-same-schema)

### Data schema

- [Calculating Average and Percentiles](https://cube.dev/docs/recipes/percentiles)
- [Dynamically Union Tables](https://cube.dev/docs/recipes/dynamically-union-tables)
- [Entity-Attribute-Value Model](https://cube.dev/docs/recipes/entity-attribute-value)
- [Referencing Dynamic Measures](https://cube.dev/docs/recipes/referencing-dynamic-measures)
- [Snapshots](https://cube.dev/docs/recipes/snapshots)
- [Passing Dynamic Parameters in a Query](https://cube.dev/docs/recipes/passing-dynamic-parameters-in-a-query)

### Queries

- [Using Apache Superset with Cube SQL](https://cube.dev/docs/recipes/using-apache-superset-with-cube-sql)
- [Enforcing Mandatory Filters](https://cube.dev/docs/recipes/enforcing-mandatory-filters)
- [Getting Unique Values for a Field](https://cube.dev/docs/recipes/getting-unique-values-for-a-field)
- [Pagination](https://cube.dev/docs/recipes/pagination)

### Query acceleration

- [Accelerating Non-Additive Measures](https://cube.dev/docs/recipes/non-additivity)
- [Joining Data from Multiple Data Sources](https://cube.dev/docs/recipes/joining-multiple-data-sources)

### Code reusability

- [Schema Generation](https://cube.dev/docs/recipes/schema-generation)
- [Polymorphic Cubes](https://cube.dev/docs/recipes/polymorphic-cubes)
